<?php

require('../../config.php');
require_once($CFG->dirroot . '/mod/resource/locallib.php');
require_once($CFG->libdir . '/completionlib.php');

$id = optional_param('id', 0, PARAM_INT); // Course Module ID
$r = optional_param('r', 0, PARAM_INT);  // Resource instance ID
$fileid = optional_param('fileid', '', PARAM_INT);  // Resource instance ID
$redirect = optional_param('redirect', 0, PARAM_BOOL);

if ($r)
{
    if (!$resource = $DB->get_record('nanogong', array('id' => $r)))
    {
        print_error('invalidaccessparameter');
    }
    $cm = get_coursemodule_from_instance('nanogong', $resource->id, $resource->course, false, MUST_EXIST);
}
else
{
    if (!$cm = get_coursemodule_from_id('nanogong', $id))
    {
        print_error('invalidcoursemodule');
    }
    $resource = $DB->get_record('nanogong', array('id' => $cm->instance), '*', MUST_EXIST);
}

$course = $DB->get_record('course', array('id' => $cm->course), '*', MUST_EXIST);

require_course_login($course, true, $cm);
$context = get_context_instance(CONTEXT_MODULE, $cm->id);
require_capability('mod/nanogong:view', $context);

add_to_log($course->id, 'nanogong', 'view', 'view.php?id=' . $cm->id, $resource->id, $cm->id);

// Update 'viewed' state if required by completion system
$completion = new completion_info($course);
$completion->set_module_viewed($cm);

$PAGE->set_url('/mod/nanogong/view.php', array('id' => $cm->id));


$fs = get_file_storage();
$file = $fs->get_file_by_id($resource->file_id);
if (count($file) < 1)
{
    resource_print_filenotfound($resource, $cm, $course);
    die;
}
else
{
    if($fileid !='')
    {
         send_stored_file($file);
         die;
    }
   nanogong_display_embed($resource, $cm, $course, $file);
}